Bio::DB::Registry(3)

NAME
Bio::DB::Registry - Access to the Open Bio Database Access registry scheme

SYNOPSIS
    use Bio::DB::Registry();

    $registry = new Bio::DB::Registry();

    @available_services = $registry->services;

    $db = $registry->get_database('embl');
    # $db is a Bio::DB::SeqI implementing class

    $seq = $db->get_Seq_by_acc("J02231");

DESCRIPTION
This module provides access to the Open Bio Database Access (OBDA) scheme, which provides a single cross-language and cross-platform specification of how to get to databases. These databases may be accessible through the Web, they may be BioSQL databases, or they may be local, indexed flatfile databases.

If the user or system administrator has not installed the default init file, seqdatabase.ini, in /etc/bioinformatics or ${HOME}/.bioinformatics then creating the first Registry object copies the default settings from the net. The Registry object will attempt to store these settings in ${HOME}/.bioinformatics/seqdatabase.ini.

Users can specify one or more custom locations for the init file by setting $OBDA_SEARCH_PATH to those directories, where multiple directories should be separated by ';'.

Please see the OBDA Access HOWTO for more information (http://bioperl.org/HOWTOs).

CONTACT
Ewan Birney originally wrote this class.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

    http://bugzilla.bioperl.org/

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  _load_registry
 Title   : _load_registry
 Usage   :
 Function: Looks for seqdatabase.ini files in the expected locations and
           in the directories specified by $OBDA_SEARCH_PATH. If no files
           are found it downloads a default file from www.open-bio.org
 Returns : nothing
 Args    : none

  get_database
 Title   : get_database
 Usage   : my $db = $registry->get_database($dbname);
 Function: Retrieve a Database object which implements Bio::DB::SeqI interface
 Returns : Bio::DB::SeqI object
 Args    : string describing the name of the database

  services
 Title   : services
 Usage   : my @available = $registry->services();
 Function: returns list of possible services
 Returns : list of strings
 Args    : none

  _get_ini_files
 Title   : _get_ini_files
 Usage   :
 Function: To find all the seqdatabase.ini files
 Returns : list of seqdatabase.ini paths
 Args    : $home